package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.CourseGroup;

public interface CourseGroupRepo extends JpaRepository<CourseGroup, Long>, QueryByExampleExecutor<CourseGroup> {

	@Query(value = "select * from ecs_exam_course_group t where t.exam_id=?1 order by id", nativeQuery = true)
	List<CourseGroup> findByExamId(@Param("examId") Long examId);

}
